### Name

> XmHTMLTextSetString - set a (new) HTML source text in a XmHTML widget.

### Synopsis

> void XmHTMLTextSetString(Widget w, String text)

### Description

> XmHTMLTextSetString loads a HTML source text in a XmHTML widget. The previously displayed document is destroyed.

> w
>   Specifies the widget ID of a widget of class xmHTMLWidgetClass
> text
>   Specifies the new source text. A value of NULL effectively erases the currently displayed document without displaying a new document. The widget will make a private copy of this new source, so one can safely free text when this function returns.

### See Also

> XmHTML(3X), XmHTMLTextGetSource(3X), XmHTMLTextGetString(3X)

XmHTML, October 7, 1997